Package org.codehaus.groovy.groovydoc

# Interface GroovyTag

All Known Implementing Classes:
  `SimpleGroovyTag`

public interface GroovyTag

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
The tag name, e.g.
`String`
`param()`
The optional parameter for tags like "throws" and "param".
`String`
`text()`
The text associated with the tag.

## Method Details

### name

String name()
The tag name, e.g. "deprecated", "param", "see" or "author".

### param

String param()
The optional parameter for tags like "throws" and "param".

### text

String text()
The text associated with the tag.